<?php
/*
Template Name: Archive
*/
?>

<?php get_header(); ?>

<main class="main">
	<?php get_template_part( 'inc_hero' ); ?>

	<?php while ( have_posts() ) : the_post(); ?>

		<article class="entry">
			<h1 class="entry-title"><?php the_title(); ?></h1>

			<div class="entry-content">
				<?php the_content(); ?>

				<?php
					$q = new WP_Query( array(
						'ignore_sticky_posts' => 1,
						'showposts'           => ci_setting( 'archive_no' )
					) );
				?>
				<h2><?php _e('Latest posts', 'ci_theme'); ?></h2>
				<ul class="lst archive">
					<?php while (have_posts() ) : the_post(); ?>
						<li><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'ci_theme' ), get_the_title() ) ); ?>"><?php the_title(); ?></a> - <?php echo get_the_date(); ?><?php the_excerpt(); ?></li>
					<?php endwhile; ?>
				</ul>

				<?php wp_reset_postdata(); ?>

				<?php if ( ci_setting( 'archive_week' ) == 'enabled' ): ?>
					<h2 class="hdr"><?php _e( 'Weekly Archive', 'ci_theme' ); ?></h2>
					<ul class="lst archive"><?php wp_get_archives( 'type=weekly&show_post_count=1' ); ?></ul>
				<?php endif; ?>

				<?php if ( ci_setting( 'archive_month' ) == 'enabled' ): ?>
					<h2 class="hdr"><?php _e( 'Monthly Archive', 'ci_theme' ); ?></h2>
					<ul class="lst archive"><?php wp_get_archives( 'type=monthly&show_post_count=1' ); ?></ul>
				<?php endif; ?>

				<?php if ( ci_setting( 'archive_year' ) == 'enabled' ): ?>
					<h2 class="hdr"><?php _e( 'Yearly Archive', 'ci_theme' ); ?></h2>
					<ul class="lst archive"><?php wp_get_archives( 'type=yearly&show_post_count=1' ); ?></ul>
				<?php endif; ?>
			</div>

		</article>

		<?php comments_template(); ?>

	<?php endwhile; ?>

</main>

<?php get_footer(); ?>